<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/bg_rounded_rect"
    android:orientation="vertical"
    android:padding="18dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="16dp">

        <TextView
            android:id="@+id/dialog_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Start New Script"
            android:textColor="@color/white"
            android:textSize="25sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/btn_close_dialog"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:backgroundTint="@color/close_blue"
            android:clickable="true"
            android:focusable="true"
            android:src="@drawable/cancel"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:tint="@color/gray" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_single_mode"
        android:layout_width="match_parent"
        android:layout_height="120dp"
        android:layout_marginBottom="16dp"
        android:background="@drawable/bg_mode_item_selector"
        android:clickable="true"
        android:focusable="true"
        android:padding="16dp">

        <ImageView
            android:id="@+id/icon_single"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginStart="8dp"
            android:src="@drawable/ic_circle_hollow"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/text_single_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:text="Single Point Mode"
            android:textColor="@color/white"
            android:textSize="19sp"
            android:textStyle="bold"
            app:layout_constraintStart_toEndOf="@+id/icon_single"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/text_single_desc"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="4dp"
            android:text="Tap a single position repeatedly at\nspecified intervals"
            android:textColor="@color/text_gray"
            android:textSize="15sp"
            app:layout_constraintEnd_toStartOf="@+id/iv_single_arrow"
            app:layout_constraintStart_toStartOf="@+id/text_single_title"
            app:layout_constraintTop_toBottomOf="@+id/text_single_title" />

        <ImageView
            android:id="@+id/iv_single_arrow"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginEnd="8dp"
            android:src="@drawable/single_dialog"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_multi_mode"
        android:layout_width="match_parent"
        android:layout_height="120dp"
        android:layout_marginBottom="24dp"
        android:background="@drawable/bg_mode_item_selector"
        android:clickable="true"
        android:focusable="true"
        android:padding="16dp">

        <ImageView
            android:id="@+id/icon_multi"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginStart="8dp"
            android:src="@drawable/ic_circle_hollow"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/text_multi_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:text="Multi-Point Mode"
            android:textColor="@color/white"
            android:textSize="19sp"
            android:textStyle="bold"
            app:layout_constraintStart_toEndOf="@+id/icon_multi"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/text_multi_desc"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="4dp"
            android:text="Set a series of taps/swipes in\ndifferent positions"
            android:textColor="@color/text_gray"
            android:textSize="15sp"
            app:layout_constraintEnd_toStartOf="@+id/iv_multi_arrow"
            app:layout_constraintStart_toStartOf="@+id/text_multi_title"
            app:layout_constraintTop_toBottomOf="@+id/text_multi_title" />

        <ImageView
            android:id="@+id/iv_multi_arrow"
            android:layout_width="41dp"
            android:layout_height="48dp"
            android:layout_marginEnd="8dp"
            android:src="@drawable/multi_dialog"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/btn_start_create"
        android:layout_width="257dp"
        android:layout_height="48dp"
        android:layout_gravity="center"
        android:background="@drawable/bg_rounded_rect"
        android:backgroundTint="@color/blue"
        android:text="Start"
        android:textAllCaps="false"
        android:textColor="@color/white"
        android:textSize="21sp"
        android:textStyle="bold" />

</LinearLayout>